﻿@model IEnumerable<TooJaVile.Models.Vacation>

@{
    ViewBag.Title = "Vacationdays";
}
    
<h2>Puhkusejäägid</h2>


<table class="table">
    <tr>

        <th>
            @*Nimi*@
            @Html.ActionLink("Nimi", "Vacationdays", new { sortOrder = (ViewBag.SortOrder == "Name" ? "Name_desc" : "Name") })
        </th>
        <th>
            @*Osakond*@
            @Html.ActionLink("Osakond", "Vacationdays", new { sortOrder = (ViewBag.SortOrder == "Department" ? "Department_desc" : "Department") })
        </th>
        <th>
            Põhipuhkus käesolevas aastas
        </th>
        <th>
            Kasutatud põhipuhkus
        </th>
        <th>
            Kasutatud muud puhkused
        </th>
        <th>
            Põhipuhkuse jääk
        </th>

        <th></th>
    </tr>

    @foreach (var item in Model)
    {
<tr>

    <td>
        @Html.DisplayFor(modelItem => item.Person.FirstName)
        @Html.DisplayFor(modelItem => item.Person.LastName)
    </td>

    <td>
        @Html.DisplayFor(modelItem => item.Person.Department.Name)
    </td>
    <td>
        @Html.DisplayFor(modelItem => item.Person.VacationDays)
    </td>
    <td>
        @{
            int kestus = 0;

            if (item.VacationType == 0)
            {
                DateTime startdate = item.StartDate.Value;
                DateTime enddate = item.EndDate.Value;
                kestus = (enddate - startdate).Days + 1;
                ViewBag.kestus = kestus;
            }
            else
            {
                kestus = 0;
                ViewBag.kestus = kestus;
            }
        }
        @ViewBag.kestus
    </td>
    <td>
        @{
            int muukestus = 0;

            if (item.VacationType != 0)
            {
                DateTime startdate = item.StartDate.Value;
                DateTime enddate = item.EndDate.Value;
                muukestus = (enddate - startdate).Days + 1;
                ViewBag.muukestus = muukestus;
            }
            else
            {
                muukestus = 0;
                ViewBag.muukestus = muukestus;
            }
        }
        @ViewBag.muukestus
    </td>
    <td>
        @{
            int pp = item.Person.VacationDays.Value;
            int jaak = pp - kestus;
            ViewBag.jaak = jaak;
        }
        @ViewBag.jaak
    </td>
</tr>
    }

</table>

